umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Static Public Member Functions | Private Slots | Private Attributes | List of all members
DocbookGenerator Class Reference

`#include <docbookgenerator.h>`

Inheritance diagram for DocbookGenerator:

## Signals
void | finished (bool status)

## Public Member Functions
| DocbookGenerator ()
virtual | ~DocbookGenerator ()
bool | generateDocbookForProject ()
void | generateDocbookForProjectInto (const QUrl &destDir)

## Static Public Member Functions
static QString | customXslFile ()

## Private Slots
void | slotDocbookGenerationFinished (const QString &)
void | threadFinished ()

## Private Attributes
DocbookGeneratorJob * | docbookGeneratorJob
bool | m_pStatus
bool | m_pThreadFinished
QUrl | m_destDir
UMLDoc * | umlDoc

## Detailed Description

class DocbookGenerator is a documentation generator for UML documents. It uses libxslt to convert the XMI generated by UMLDoc::saveToXMI1 through the XSLT file stored in resources.

Todo

  Add configure checks for libxml2 and libxslt and use conditional compilation of this library and its callers

  allow to specify the destination and ensure that it works with distant ones

## Constructor & Destructor Documentation

## ◆ DocbookGenerator()

DocbookGenerator::DocbookGenerator | ( |  | ) |

Constructor.

## ◆ ~DocbookGenerator()

DocbookGenerator::~DocbookGenerator | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ customXslFile()

QString DocbookGenerator::customXslFile | ( |  | ) |
| static

return custom xsl file for generating docbook

Returns
  filename with path

## ◆ finished

void DocbookGenerator::finished | ( | bool | status | ) |
| signal

## ◆ generateDocbookForProject()

bool DocbookGenerator::generateDocbookForProject | ( |  | ) |

Exports the current model to docbook in a directory named as the model with the .xmi suffix removed. The docbook file will have the same name with the .docbook suffix. Figures will be named as the corresponding diagrams in the GUI

Todo

  change file naming to avoid paths with spaces or non-ASCII chars

  better handling of error conditions

Returns
  true if saving is successful and false otherwise.

## ◆ generateDocbookForProjectInto()

void DocbookGenerator::generateDocbookForProjectInto | ( | const QUrl & | destDir | ) |

Exports the current model to docbook in the given directory

Parameters

  destDir | the directory where the docbook file and the figures will be written

Todo
  better handling of error conditions

Returns
  true if saving is successful and false otherwise.

## ◆ slotDocbookGenerationFinished

void DocbookGenerator::slotDocbookGenerationFinished | ( | const QString & | tmpFileName | ) |
| private slot

## ◆ threadFinished

void DocbookGenerator::threadFinished | ( |  | ) |
| private slot

## Member Data Documentation

## ◆ docbookGeneratorJob

DocbookGeneratorJob* DocbookGenerator::docbookGeneratorJob
| private

## ◆ m_destDir

QUrl DocbookGenerator::m_destDir
| private

## ◆ m_pStatus

bool DocbookGenerator::m_pStatus
| private

## ◆ m_pThreadFinished

bool DocbookGenerator::m_pThreadFinished
| private

## ◆ umlDoc

UMLDoc* DocbookGenerator::umlDoc
| private

The documentation for this class was generated from the following files:

- umbrello/docgenerators/docbookgenerator.h
- umbrello/docgenerators/docbookgenerator.cpp